package com.lz.modules.flow.req;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
/**
* <p>
* 菜单权限表
* </p>*等级表
* @author quyixiao
* @since 2020-10-16
*/


@Data
@ApiModel(value = "等级Req")
public class ResultGradeReq implements java.io.Serializable {
  
    @ApiModelProperty(value = "currPage", name = "当前页码")
    private int currPage = 1;
    @ApiModelProperty(value = "pageSize", name = "每页返回条数")
    private int pageSize = 10;
    @ApiModelProperty(value = "sort", name = "类型")
    private String sort;
    @ApiModelProperty(value = "order", name = "排序")
    private String order;
    //
    private Long id;
    //
    @ApiModelProperty(value = "", name = "isDelete")
    private Integer isDelete;
    //
    @ApiModelProperty(value = "", name = "gmtCreate")
    private Date gmtCreate;
    //
    @ApiModelProperty(value = "", name = "gmtModified")
    private Date gmtModified;
    //等级名称，展示名称
    @ApiModelProperty(value = "等级名称，展示名称", name = "name")
    private String name;
    //最小分值>=
    @ApiModelProperty(value = "最小分值>=", name = "minScore")
    private BigDecimal minScore;
    //最大分值<
    @ApiModelProperty(value = "最大分值<", name = "maxScore")
    private BigDecimal maxScore;
    //固定、默认分值，当选择改级时所要打的分数
    @ApiModelProperty(value = "固定、默认分值，当选择改级时所要打的分数", name = "score")
    private BigDecimal score;
    //组id，用于区分一组
    @ApiModelProperty(value = "组id，用于区分一组", name = "groupId")
    private Long groupId;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     *  
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     *  
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     *  
     * @return
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }
    /**
     *  
     * @param gmtCreate
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     *  
     * @return
     */
    public Date getGmtModified() {
        return gmtModified;
    }
    /**
     *  
     * @param gmtModified
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    /**
     * 等级名称，展示名称 
     * @return
     */
    public String getName() {
        return name;
    }
    /**
     * 等级名称，展示名称 
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 最小分值>= 
     * @return
     */
    public BigDecimal getMinScore() {
        return minScore;
    }
    /**
     * 最小分值>= 
     * @param minScore
     */
    public void setMinScore(BigDecimal minScore) {
        this.minScore = minScore;
    }

    /**
     * 最大分值< 
     * @return
     */
    public BigDecimal getMaxScore() {
        return maxScore;
    }
    /**
     * 最大分值< 
     * @param maxScore
     */
    public void setMaxScore(BigDecimal maxScore) {
        this.maxScore = maxScore;
    }

    /**
     * 固定、默认分值，当选择改级时所要打的分数 
     * @return
     */
    public BigDecimal getScore() {
        return score;
    }
    /**
     * 固定、默认分值，当选择改级时所要打的分数 
     * @param score
     */
    public void setScore(BigDecimal score) {
        this.score = score;
    }

    /**
     * 组id，用于区分一组 
     * @return
     */
    public Long getGroupId() {
        return groupId;
    }
    /**
     * 组id，用于区分一组 
     * @param groupId
     */
    public void setGroupId(Long groupId) {
        this.groupId = groupId;
    }

    @Override
    public String toString() {
        return "ResultGrade{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",gmtCreate=" + gmtCreate +
                ",gmtModified=" + gmtModified +
                ",name=" + name +
                ",minScore=" + minScore +
                ",maxScore=" + maxScore +
                ",score=" + score +
                ",groupId=" + groupId +
                "}";
    }
}